:root {
  --primary-color: #FF571E;
}


body {
  margin: 0;
  padding: 0;
  background: #131628;
  font-family: sans-serif;
  color: #fff;
}

.top-bar {
  text-align: center;
  padding: .8rem;
  font-size: 1rem;
  font-weight: bold;
  background-color: #191E33;
  border-bottom: 1px solid #1f233a;
}

.tabs {
  display: flex;
  padding: 20px;
  gap: 10px;
}

.tab {
  flex: 1;
  text-align: center;
  padding: 14px 0;
  border-radius: 10px;
  background: #191E33;
  color: #fff;
  font-size: 1rem;
}

.tab.active {
  background: var(--primary-color);
  color: #fff;
}

.dropdown {
  margin: 0 1rem;
  border: 1px solid var(--primary-color);
  color: var(--primary-color);
  padding: .6rem;
  border-radius: 5px;
  background: #121524;
  font-size: 1rem;
  display: flex;
  position: relative;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}

.dropdown-container {
  position: absolute;
  top: calc(10% -.8rem);
  left: 0;
  right: 0;
}

.dropdown-item {
  padding-top: .5rem;
}

.dropdown-panel {
  display: block;
  margin-top: .6rem;
  background: #fff;
  color: #000;
  padding: 1rem;
  border-radius: 5px;
  font-size: 1rem;
  display: none;
  z-index: 1000;
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.35);
}

.dropdown-panel::before {
  content: "";
  position: absolute;
  left: 10%;
  top: 2px;
  transform: translateX(-50%);
  width: 0;
  height: 0;
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
  border-bottom: 8px solid #fff;
  pointer-events: none;
}

.down-icon {
  width: 1rem;
  height: 1rem;
}

.form-item {
  margin: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #1f233a;
  padding-bottom: 12px;
  font-size: 18px;
}

.label {
  color: #CAD0E6;
  font-size: 1rem;
}

input {
  appearance: none;
  border: 0;
  padding: 12px 6px 10px 0;
  background: var(--input-bg);
  color: white;
  font-size: 1rem;
  outline: none;
  text-align: right;
}

input::placeholder {
  color: #636363
}

.docs-icon,
.usdt-copy {
  width: 1.2rem;
  height: 1.2rem;
}

.amount-selector {
  margin: .8rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}

.amount-btn {
  background: #1f233a;
  padding: .6rem 0;
  text-align: center;
  border-radius: 5px;
  font-size: 1rem;
}

.amount-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}

.custom-amount {
  width: 100%;
  max-width: 100%;
  background: transparent;
  border: none;
  color: inherit;
  font-size: inherit;
  padding: 0;
  margin: 0;
  text-align: center;
  outline: none;
  box-sizing: border-box;
}

.custom-amount::placeholder {
  color: #636363;
}

.amount-btn.active {
  background: #ff5a1f;
  color: white;
}

.input-box {
  box-sizing: border-box;
  width: 100%;
  border: 1px solid var(--primary-color);
  border-radius: 5px;
  font-size: 1rem;
  background: #121524;
  color: #fff;
  text-align: start;
  color: var(--primary-color);
  padding-left: .5rem;
}

.input-box::placeholder {
  color: #636363;
}

.txt-primary {
  color: var(--primary-color);
}

.total,
.usdt-total {
  font-size: 2.5rem;
  color: var(--primary-color);
}

.submit-btn {
  box-sizing: border-box;
  margin-top: .5rem;
  width: 100%;
  border: none;
  background: var(--primary-color);
  padding: .75rem 0;
  border-radius: 5px;
  font-size: 1.2rem;
  text-align: center;
  color: white;
}

.usdt-item {
  display: flex;
  margin: .6rem 0;
}

.usdt-item span {
  word-break: break-all;
  font-size: 1.1rem;
}

.link-title {
  color: #CAD0E6;
  font-size: 1.1rem;
}


/*

.link-title {
  color: #CAD0E6;
  font-size: 1rem;
  display: flex;
  flex-direction: column;
}

.link-title span {
  display: block;
  margin-top: .25rem;
  color: #fff;
  word-break: break-all;
  font-size: .95rem;
} */
